Subject: Re: bug#69895: Bug Report for GNU Parted Version 2.4.62-ce5e-dirty on VMware ESXi 7.0 Update 3
From: "Brian C. Lane" <[email-masked]>
To: pusp raj joshi <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Mar 2024 08:37:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Mar 19, 2024 at 12:38:14AM -0700, pusp raj joshi wrote:
> Dear GNU Parted Development Team,
> 
> I am writing to report a bug I encountered while using GNU Parted version
> 2.4.62-ce5e-dirty on a VMware ESXi 7.0 Update 3 system.
> 
> *Description of the Bug:* The *partedUtil* command does not open the
> */dev/disks* directory for writing and defaults to read-only mode.
> Moreover, it fails to determine the sector size, defaulting to 512 bytes,
> and ultimately cannot retrieve the device information for partition
> management operations.
> 
> *Command Executed:*
> 
> partedUtil get /vmfs/devices/disks/mpx.vmhba0:C0:T0:L0:8

Thanks for the detailed report, but I'm not sure what version of parted
this really is, or what changes have been made to it. There is no 'get'
command, even in version 2.4 which is quite old and unsupported at this
point. I suggest that you contact VMWare for support.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart